package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterGetScoreDataReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class GetScoreData {

	public static void main(String[] args) {
		OuterGetScoreDataReq reqBody = new OuterGetScoreDataReq();
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		reqBody.setExamRecordDataId(3211501L);
		String url = QmthUtil.buildUrl("/api/exchange/outer/score/getScoreData");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
